<header class="backoffice">
    <h2 class="request">Gestion des demandes</h2>
</header>

<div class="flex">
    <div class="container container-back">
        
        <?php if (!empty($errors)) : ?>
        <div class="error" role="alert">
            <?php foreach ($errors as $error) : ?>
                <?php echo $error; ?><br>
            <?php endforeach; ?>
        </div>
        <?php endif; ?>
        
        <h3> Demandes de contact </h3>
        <h4> <?= $countNotArchivedMessages ?> demandes non traitées</h4>
        <p><i>Une fois la prise de contact effectuée, pensez à supprimer ou archiver les demandes</i></p>
        
        <?php foreach ($messages as $message) { ?>
        <div class="message">
            <?php if ($message['archived'] === null) { ?>
            <div class="flex message-type">
                <?php if (isset($message['type']) && $message['type'] != null) : ?>
                    <p>Envoyé par <b><?= htmlspecialchars($message['type'], ENT_QUOTES); ?></b></p>
                <?php endif; ?>  
                <?php if (isset($message['created_at']) && $message['created_at'] != null) : ?>
                    <p>le <?= (new DateTime($message['created_at']))->format('d F Y \à H\hi'); ?></p>
                <?php endif;  ?>  
            </div>
                <?php if (isset($message['message']) && $message['message'] != null) : ?>
                    <p><?= htmlspecialchars($message['message'], ENT_QUOTES); ?></p>
                <?php endif;  ?>  
            <div class="flex message-coordinates">
                 <?php if (isset($message['email']) && $message['email'] != null) : ?>
                     <p class="mail">email : <a href="mailto:<?= htmlspecialchars($message['email'], ENT_QUOTES); ?>"><?= $message['email']; ?></a></p>
                <?php endif; ?>
                <?php if (isset($message['phone']) && $message['phone'] != null) : ?>
                    <p>Tel : <?= htmlspecialchars($message['phone'], ENT_QUOTES); ?></p>
                <?php endif; ?> 
            </div>
            <div class="flex message-action">
                <form id="archivedMessage" action="index.php?page=archive_message" method="POST" data-form-action="archive">
                    <input type="hidden" name="message_id" value="<?= $message['id'] ?>">
                    <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null ?>">
                    <input type="hidden" name="action" value="archive">
                    <input class="link" type="submit" value="Archiver">
                </form>
                <form class="delete-form" action="index.php?page=delete_message" method="POST" data-form-action="delete">
                    <input type="hidden" name="message_delete" value="<?= $message['id'] ?>">
                    <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null ?>">
                    <input class="link delete" type="submit" value="Supprimer">
                </form>
                
            </div>
            <?php } ?>
        </div>
        <?php } ?>
    
    <?php  if (isset($_SESSION['role']) && $_SESSION['role'] <= 1) { ?>
    <div class="flex block">
        <div>
        <h3>Ajouter un type de contact</h3>
        </div>
        <form class="" action="index.php?page=add_contact_type" method="POST">
            <div class="flex">
            <label for="type">Type de contact</label>
            <input type="text" name="type" id="type" value="<?= isset($_POST['type']) ? htmlspecialchars($_POST['type'], ENT_QUOTES) : null; ?>">
            </div>
            <div>
                <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
                <input class="btn" type="submit" value="Ajouter">
            </div>
        </form>
    </div>
    <?php } ?>
    </div>
    
    <div class="container container-back">
        <h3> Demandes archivées </h3>
            <div class="flex">
                <table >
                    <thead>
                        <tr>
                            <th>Date de création</th>
                            <th>Type</th>
                            <th>Message</th>
                            <th>Email</th>
                            <th>Tel</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($messages as $message) { ?>
                                <tr>
                                    <?php if ($message['archived'] !== null) { ?>
                                    <td data-label="Date de création"><?= $message['created_at'] ?></td>
                                    <td data-label="Type"><?= htmlspecialchars($message['type'], ENT_QUOTES) ?></td>
                                    <td class="scroll-cell" data-label="Message">
                                        <div class="scroll-container">
                                        <?= htmlspecialchars($message['message'], ENT_QUOTES) ?></td>
                                        </div>
                                    <td data-label="Email"><a href="mailto:<?= htmlspecialchars($message['email'], ENT_QUOTES); ?>"><?= htmlspecialchars($message['email'], ENT_QUOTES); ?></a></td>
                                    <td data-label="Tel"><?= htmlspecialchars($message['phone'], ENT_QUOTES) ?></td>
                                    <td>
                                    <form id="unarchivedMessage" action="index.php?page=unarchive_message" method="POST" data-form-action="unarchive">
                                        <input type="hidden" name="message_id" value="<?= $message['id'] ?>">
                                        <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null ?>">
                                        <input type="hidden" name="action" value="unarchive">
                                        <input class="link" type="submit" value="Désarchiver">
                                    </form>
                                    <form class="delete-form" action="index.php?page=delete_message" method="POST" data-form-action="delete">
                                        <input type="hidden" name="message_delete_archived" value="<?= $message['id'] ?>">
                                        <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null ?>">
                                        <input class="link delete" type="submit" value="Supprimer">
                                    </form>
                                    </td>
                                    <?php } ?> 
                                </tr>
                            <?php } ?>
                    </tbody>
                </table>
            </div>
    </div>
    
    <?php require "modal.html"; ?>
</div>

